
global folder "." // Specify working directory.

cd "$folder\working"
* reshape to long form
set more off
import excel using "$folder\CC Data\cc-data-jobcoded-18cc-acc_26feb16.xls", firstrow clear
drop  AR AS AT AU AV // duplicates rank
destring rank*, replace
foreach num of numlist 1/27 {
rename job`num's sjob`num'
rename job`num'e ejob`num'
destring sjob`num', replace
destring ejob`num', replace

}

reshape long job sjob ejob, i(id) j(j)
drop j
drop if missing(job)

rename sjob year1
rename ejob year2

g duration=year2-year1


/*
br if missing(year1)
br if missing(year2)
br if duration>50
br if duration<0
br if year1>=2016
*/
drop if missing(duration)
drop if duration<0
drop if duration>50

drop if year1>=2016

replace birthpro1=26 if birthpro=="陕西" & missing(birthpro1)
replace birthpro1=12 if birthpro=="福建" & missing(birthpro1)
replace birthpro1=25 if birthpro=="西藏" & missing(birthpro1)

g double job3=floor(job/10)
g double No=job-floor(job/10)*10
replace No=round(No, 0.1)
tostring No, replace force
save CC, replace






