# -*- coding: utf-8 -*-
"""
Created on Sat Jan 09 20:30:13 2016

@author: xiao
"""

# -*- coding: utf-8 -*-
"""
Created on Sat Jan 09 17:35:47 2016

@author: xiao
"""

import requests
import csv
from bs4 import BeautifulSoup
import re
 # links for different committees
BASE_URL = 'http://www.chinavitae.com/library/'
url = BASE_URL
soup = BeautifulSoup(requests.get(url).text)
link_list=[] 
for link in soup('table')[0].findAll('a'): 
    print link.get("href")
    text = link.get("href")
    link_list.append(text)

link_list.remove("/reference/pdfs/CV.Glossary.pdf")
link_list.remove("/reference/pdfs/CV.Glossary.pdf")
link_list.remove("/library/prominent-families")
link_list.remove("/library/elsewhere")


 # name list for different committees
BASE_URL = 'http://www.chinavitae.com{link}'
for link in link_list:
    filename =  re.sub('[/|]', '', link)
    filename = filename+".csv"
    with open(filename, "w") as output_file:
        writer = csv.writer(output_file)
        url = BASE_URL.format(link=link)
        soup = BeautifulSoup(requests.get(url).text)
        name_list=[]
        for entry in soup('table')[1].findAll('a'): 
            name = entry.text.encode('utf8')
            rejected_strings = {'All', 'Politboro', 'Politboro Standing Committee'}
            if name in rejected_strings: print name
            else: writer.writerow([name])
  
            
 # career link list for different committees
BASE_URL = 'http://www.chinavitae.com{link}'
for link in link_list:
    filename =  re.sub('[/|]', '', link)
    filename = filename+".csv"
    with open(filename, "w") as output_file:
        writer = csv.writer(output_file)
        url = BASE_URL.format(link=link)
        soup = BeautifulSoup(requests.get(url).text)
        name_list=[]
        for entry in soup('table')[1].findAll('a'): 
            name = entry.get('href').encode('utf8')
            rejected_strings = {'/library/cpc_central_committee|18', '/library/cpc_politboro|18', '/library/cpc_politboro_standing|18'}
            if name in rejected_strings: print name
            else: writer.writerow([name])
            
            
            
  # for each name in namelist, extract cv    
BASE_URL = 'http://www.chinavitae.com{name}/career'    
for link in link_list:
    filename =  re.sub('[/|]', '', link)
    filename = filename+".csv"
    outfilename = "out"+filename
    with open(filename) as input_file:
        with open(outfilename, "w") as output_file:
            writer = csv.writer(output_file)
            writer.writerow(["Name","Year", "Description"])
            for line in input_file:
                name = ""
                name = line.strip()
                name_std =  re.sub(r'\/biography\/', '', name)
                name_std =  re.sub(r'\|[0-9]*', '', name_std)           
                url = BASE_URL.format( name=name)
                soup = BeautifulSoup(requests.get(url).text)
                if soup('table') is not None: 
                    for row in soup('table')[0].findAll('tr'): 
                        tds = row('td') # separate each row into two tds, year and description  
                        try: year = tds[0].get_text().encode('utf8')   
                        except: year="NA"
                        try: desc=tds[1].get_text().encode('utf8')                   
                        except: desc="NA"                       
                        writer.writerow([name_std, year, desc])     
            
                        
