
import pandas as pd
import numpy as np
#['Faction premia: intercept','CYLC',         -0.1], 
#['Faction premia: intercept','Shanghai',     -0.048],
#['Faction R-squared','total',        0.020],

true_m = pd.DataFrame( \
[ \
['Faction premia: leader','CYLC',         0.286],
['Faction premia: leader','Shanghai',     0.108],
['Faction premia: SC share','CYLC',         0.516],
['Faction premia: SC share','Shanghai',     0.634],
['Ability R-squared','total',        0.020],
['Faction premia: CC/AC ratio','CYLC' ,        3.232],
['Faction premia: CC/AC ratio','Shanghai',     2.206],
['Same-faction discount: national','CYLC',         0.776],
['Same-faction discount: national','Shanghai',     0.829],
['Same-faction discount: provincial','CYLC',         0.936],
['Same-faction discount: provincial','Shanghai',     0.946]],
columns=["contents", "faction", "true"])

true_m_MP = pd.DataFrame( \
[['Faction premia: leader','Princelings',     0.033],
['Faction premia: leader','Military',     0.177],
['Faction premia: SC share','Princelings',   -1.353],
['Faction premia: SC share','Military',     -0.244]],
columns=["contents", "faction", "true"])


true_m_v2 = pd.DataFrame( \
[ \
['Faction premia: leader','CYLC',         0.286],
['Faction premia: leader','Shanghai',     0.108],
['Faction premia: leader','Military',     0.177],
['Faction premia: leader','Princelings',     0.033],
['Faction premia: SC share','CYLC',         0.516],
['Faction premia: SC share','Shanghai',     0.634],
['Faction premia: SC share','Princelings',   -1.353],
['Faction premia: SC share','Military',     -0.244],
['Faction premia: CC/AC ratio','CYLC' ,        3.232],
['Faction premia: CC/AC ratio','Shanghai',     2.206],
['Same-faction discount: national','CYLC',         0.776],
['Same-faction discount: national','Shanghai',     0.829],
['Same-faction discount: provincial','CYLC',         0.936],
['Same-faction discount: provincial','Shanghai',     0.946],
['Ability R-squared','total',        0.020]],
columns=["contents", "faction", "true"])




true_m_MP_v2 = pd.DataFrame( \
[['Faction premia: leader','Military',     0.177],
['Faction premia: SC share','Princelings',   -1.353],
['Faction premia: SC share','Military',     -0.244]],
columns=["contents", "faction", "true"])


total_m=pd.concat([true_m,true_m_MP],axis=0)
total_m_v2=pd.concat([true_m,true_m_MP_v2],axis=0)
total_m_v3=pd.concat([true_m_v2,true_m_MP_v2],axis=0)

beta_true_robustness=[ \
0.286,0.108,0.033,0.177,
0.516,0.634,-1.353,-0.244,
0.171,0.088,0.097,
0.134,0.0542,0.0169,
-0.0869,0.2097,-0.3882,0.4857,
0.2131,0.044,-0.4711,0.4711
]
beta_true_robustness=np.array(beta_true_robustness)
beta_true_robustness=beta_true_robustness.reshape(-1,1)


# the weight is calculate using the following method
# simulate using first round parameters 200 times, and calculate mean and SE of simulated moments
# then use the t-stats as weights. t-stats are normalized by mean of all t-stats.
# see code for Hypothesis test using weighting matrix
Archive_moments_weight1=np.array([0.35211953, 0.40932537, 0.29433703, 0.1581559 ,0.4591724,0.59752566, 0.60100788, 0.72308189, 0.64013498, 0.46092402, \
       1.03169039, 0.58129787, 3.03865656, 2.25777667, 3.39479386])


Archive_moments_weight2=np.array([0.75832082, 0.74277425, 0.29467969, 0.06242315, 1.16182584, \
       1.15254268, 0.09849306, 0.39609182, 1.21174154, 1.09341955, \
       0.60887128, 0.39484106, 0.99977201, 0.83945753, 5.18474571])

moments_weight=np.array([1]*15)