clear
clc

i = 1; 

filepath = 'D:\Dropbox\Chinese Politics\code\moment\' ; 
texfolder='D:\Dropbox\Chinese Politics\paper\table_figure\';

[~,~,promtion_prob_conditional] = xlsread(strcat(filepath,'promtion_prob_conditional','.csv'));
[~,~,promtion_prob_unconditional] = xlsread(strcat(filepath,'promtion_prob_unconditional','.csv'));
[~,~,same_faction_discount] = xlsread(strcat(filepath,'same_faction_discount','.csv'));
[~,~,moment_seat_share_5groups_population] = xlsread(strcat(filepath,'moment_seat_share_5groups_population','.csv'));




FID = fopen(strcat(texfolder,'moment.tex'), 'w');
%fprintf(FID, '\\documentclass[12pt]{article}\\begin{document}');
fprintf(FID, '\\begin{tabular*}{\\hsize}{@{\\hskip\\tabcolsep\\extracolsep\\fill}l*{5}{c}}');
fprintf(FID, '\\hline ');
fprintf(FID, '\\hline ');
fprintf(FID, '& CYLC  & Shanghai& Princelings& Military    \\\\ [1ex] \\hline  ');

fprintf(FID, 'Faction premia: leader&');
for str = {'CYLC','Shanghai','Princelings','Military'}
 var = strcat('p_All_',str,'_sec');
 fprintf(FID, num2str(promtion_prob_conditional{ismember(promtion_prob_conditional(:,2),var),1},'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, 'Faction premia: SC share&');
for str = {'CYLC','Shanghai','Princelings','Military'}
 var = strcat('p_All_',str,'_SC');
 fprintf(FID, num2str(promtion_prob_conditional{ismember(promtion_prob_conditional(:,2),var),1},'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, 'Faction premia: intercept&');
for str = {'CYLC','Shanghai','Princelings','Military'}
 var = strcat('p_All_',str);
 fprintf(FID, num2str(promtion_prob_conditional{ismember(promtion_prob_conditional(:,2),var),1},'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');


fprintf(FID, 'Faction premia: CC/AC ratio&');
for str = {'CYLC','Shanghai','Princelings','Military'}
%     str='CYLC';
 varCC = strcat('p_CC_',str);
 varAC = strcat('p_AC_',str);
 p_AC_Neutral = promtion_prob_unconditional{ismember(promtion_prob_unconditional(:,2),'p_AC_Neutral'),1};
 p_CC_Neutral = promtion_prob_unconditional{ismember(promtion_prob_unconditional(:,2),'p_CC_Neutral'),1};
 PC_AC = p_AC_Neutral+ promtion_prob_unconditional{ismember(promtion_prob_unconditional(:,2),varAC),1};
 PC_CC = p_CC_Neutral+ promtion_prob_unconditional{ismember(promtion_prob_unconditional(:,2),varCC),1};
 %PC_AC = promtion_prob_unconditional{ismember(promtion_prob_unconditional(:,2),varAC),1};
 %PC_CC = promtion_prob_unconditional{ismember(promtion_prob_unconditional(:,2),varCC),1};
 ratio = PC_CC/PC_AC/(p_CC_Neutral/p_AC_Neutral);
 fprintf(FID, num2str(ratio,'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, 'Same-faction discount: national &');
for str = {'CYLC','Shanghai','Princelings','Military'}
 var = strcat(str,'_ratio_national');
 ratio = same_faction_discount{ismember(same_faction_discount(:,2),var),1};
 fprintf(FID, num2str(ratio,'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, 'Same-faction discount: provincial &');
for str = {'CYLC','Shanghai','Princelings','Military'}
 var = strcat(str,'_ratio_prov');
 ratio = same_faction_discount{ismember(same_faction_discount(:,2),var),1};
 fprintf(FID, num2str(ratio,'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, 'Population share &');
for str = {'CYLC','Shanghai','Princelings','Military'}
 ratio = moment_seat_share_5groups_population{ismember(moment_seat_share_5groups_population(:,1),str),3};
 fprintf(FID, num2str(ratio,'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');


fprintf(FID, 'Faction R-squared &');
for str = {'CYLC','Shanghai','Princelings','Military'}
 faction_r2= promtion_prob_conditional{ismember(promtion_prob_conditional(:,2),'faction_r2'),1};
 fprintf(FID, num2str(faction_r2,'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, 'Ability R-squared &');
for str = {'CYLC','Shanghai','Princelings','Military'}
 ability_r2= promtion_prob_conditional{ismember(promtion_prob_conditional(:,2),'ability_r2'),1};
 fprintf(FID, num2str(ability_r2,'%.3f'));
 fprintf(FID, '&');
end
fprintf(FID, '\\\\\n');

fprintf(FID, '\\hline ');
fprintf(FID, '\\hline ');
fprintf(FID, '\\end{tabular*}\n');
    
%fprintf(FID, '\\end{document}');
fclose(FID);

